Name:           kiran-session-manager
Version:        2.5.0
Release:        12
Summary:        Session manager for KIRAN desktop environment

License:        MulanPSL-2.0
Source0:        %{name}-%{version}.tar.gz

Patch1000:      0001-feature-lockscreen-Add-LockScreenWhenHibernate-and-L.patch
Patch1001:      0001-feature-session-Add-always-show-exit-window-flag.patch
Patch1002:      0001-Add-Type-Application-in-kiran-session-idlemonitor.de.patch
Patch1003:      0001-fix-boot-Fix-fork-other-session-program-failed-by-ad.patch
Patch1004:      0001-fix-kiran-session-manager-fixes-link-Qt5DBus-error.patch 
Patch1005:      0001-fix-xsmp-Ignore-the-cancel-shutdown-request.patch
Patch1006:      0001-feature-blacklist_autostart_apps-Add-mate-volume-con.patch
Patch1007:		0001-fix-blacklist-autostart-add-polkit-mate-authenticati.patch

BuildRequires:  cmake >= 3.2
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  kiran-log-qt5-devel
BuildRequires:  gtest-devel
BuildRequires:  fmt-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libXext-devel
BuildRequires:  xorg-x11-xtrans-devel
BuildRequires:  gsettings-qt-devel
BuildRequires:  kiran-qt5-integration-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-linguist
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kidletime-devel
BuildRequires:  kf5-kio-devel


Requires:       systemd

%if 0%{?rhel} > 7 || 0%{?openEuler}
Requires:   dbus-daemon
%else
Requires:   dbus
%endif

%description
Session manager for KIRAN desktop environment


%prep
%autosetup -p1


%build
%cmake
make %{?_smp_mflags}


%install
%make_install

%post
if [ "%{ks_custom_name}" = "GC" ] && [ -f "%{_datadir}/kiran-session-manager/blacklist_autostart_apps.txt" ]; then
    sed -i '$ d' "%{_datadir}/kiran-session-manager/blacklist_autostart_apps.txt"
fi

%files
%{_datadir}/glib-2.0/schemas/com.kylinsec.kiran.session-manager.gschema.xml
%{_datadir}/lightdm/lightdm.conf.d/90-lightdm-kiran-greeter.conf
%{_datadir}/xsessions/kiran.desktop
%{_datadir}/wayland-sessions/kiran-wayland.desktop
%{_datadir}/xgreeters/kiran-greeter.desktop
%{_datadir}/applications/kiran-session-idlemonitor.desktop
%dir %{_datadir}/kiran-session-manager
%{_datadir}/kiran-session-manager/blacklist_autostart_apps.txt
%dir %{_datadir}/kiran-session-manager/sessions
%{_datadir}/kiran-session-manager/sessions/*
%{_datadir}/kiran-session-manager/translations/kiran-session-manager.zh_CN.qm
%{_datadir}/kiran-session-manager/translations/kiran-session-manager.bo_CN.qm
%{_datadir}/kiran-session-manager/translations/kiran-session-manager.kk_KG.qm
%{_datadir}/kiran-session-manager/translations/kiran-session-manager.kk_KZ.qm
%{_datadir}/kiran-session-manager/translations/kiran-session-manager.mn_MN.qm
%{_datadir}/kiran-session-manager/translations/kiran-session-manager.ug_CN.qm
%{_datadir}/kiran-session-manager/translations/kiran-session-window.zh_CN.qm
%{_datadir}/kiran-session-manager/translations/kiran-session-window.bo_CN.qm
%{_datadir}/kiran-session-manager/translations/kiran-session-window.kk_KG.qm
%{_datadir}/kiran-session-manager/translations/kiran-session-window.kk_KZ.qm
%{_datadir}/kiran-session-manager/translations/kiran-session-window.mn_MN.qm
%{_datadir}/kiran-session-manager/translations/kiran-session-window.ug_CN.qm
%{_bindir}/kiran-session-manager
%{_bindir}/kiran-session-idlemonitor
%{_bindir}/kiran-session-window
%{_bindir}/kiran-session-kwayland
%{_bindir}/kiran-session-wayland




%changelog
* Sat Jan 20 2024 liuxinhao <liuxinhao@kylinsec.com.cn> - 2.5.0-12
- KYOS-B: add polkit-mate-authentication-agent-1 to blacklist 

* Sun Oct 08 2023 luoqing <luoqing@kylinsec.com.cn> - 2.5.0-11
- KYOS-F: Add mate-volume-control-status-icon.desktop to the autostart blacklist

* Tue Sep 12 2023 tangjie02 <tangjie02@kylinsec.com.cn> - 2.5.0-10
- KYOS-F: 0001-fix-xsmp-Ignore-the-cancel-shutdown-request.patch.

* Mon Sep 11 2023 longcheng <longcheng@kylinsec.com.cn> - 2.5.0-9
- KYOS-B: change BuildRequires in redhat 7 (#14460)

* Thu Sep 7 2023 yinhongchang <yinhongchang@kylinsec.com.cn> - 2.5.0-8
- KYOS-F: fixes link Qt5DBus error

* Fri Jun 16 2023 tangjie02 <tangjie02@kylinsec.com.cn> - 2.5.0-7
- KYOS-B: Fix fork other session program failed by adding GDK_BACKEND and QT_QPA_FLATFORM environment variables.

* Fri Jun 02 2023 huangjiawen <huangjiawen@kylinsec.com.cn> - 2.5.0-6
- KYOS-F: Add Type=Application in kiran-session-idlemonitor.desktop.in

* Wed May 31 2023 huangjiawen <huangjiawen@kylinsec.com.cn> - 2.5.0-5
- KYOS-F: Add always show exit window flag.

* Wed May 10 2023 tangjie02 <tangjie02@kylinsec.com.cn> - 2.5.0-4
- KYOS-F: Add LockScreenWhenHibernate and LockScreenWhenSuspend functions.

* Tue May 09 2023 yinhongchang <yinhongchang.kylinsec.com.cn> - 2.5.0-3.kb1
- KYOS-F: resolve network-settings cant autostart

* Wed Apr 19 2023 kpkg <kpkg.kylinsec.com.cn> - 2.5.0-3
- rebuild for KY3.4-5-GC-KiranUI-2.5

* Tue Apr 18 2023 kpkg <kpkg.kylinsec.com.cn> - 2.5.0-2
- rebuild for KiranUI-2.5-next

* Tue Apr 18 2023 wangyucheng <wangyucheng@kylinsec.om.cn> - 2.5.0-1
- KYOS-F: Fix version number errors

